%define docdir rhm-0.5

Name:           rhm-docs
Version: 	0.5.756148
Release:        1%{?dist}
Summary:        Installation Guide, Tutorial, User Guide, and source code examples for RHM

Group:          Development/Languages
License:        LGPL
URL:            http://incubator.apache.org/qpid
Source0:        %{name}-%{version}.tar.gz
# mkdir %{name}; cd %{name}
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/cpp/examples/examples cpp
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/java/client/example/src/main/java java
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/python/examples python
#  (wget PDF docs... fill in final paths here)
# cd ..
# tar czf %{name}.tar.gz --exclude "*\.svn*" --exclude "*/publisher*" \
#   --exclude "*/pubsub*" --exclude "*/shared*" --exclude "*/subscriber*" %{name} 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Installation Guide, Tutorial and source code examples for RHM. 
Includes examples for direct, fanout, and topic exchanges 
in several languages: C++, Java (JMS), and Python.

%prep
%setup -q

%build
# empty

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/usr/share/doc/%{docdir}
cp -pr * $RPM_BUILD_ROOT/usr/share/doc/%{docdir}
# fix warnings about script permissions
find $RPM_BUILD_ROOT/usr/share/doc/%{docdir} -name '*.py' \
  -exec chmod +x {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc /usr/share/doc/%{docdir}/LICENSE.txt
/usr/share/doc/%{docdir}

%changelog


* Thu Mar 19 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.5.756148
  Fixed Java runSample.sh to use relative paths to locate source.

* Fri Mar 13 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.5.753238
  Fixed typo in generated makefiles that prevented C++ compilation (ouch!)

* Thu Mar 12 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.5.752937
  Changes to release notes, bumped version number.

* Tue Mar 03 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.4.749740
  Updated release notes from Lana.

* Mon Mar 02 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.4.734193, revision 6
  Minor changes, incorporating corrections from Lana.

* Tue Jan 13 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.4.734193
  Minor changes, incorporating corrections from Lana.

* Fri Jan 09 2009 Jonathan Robie <jonathan.robie@redhat.com> - 0.4.733043
  Current docs, now building off of branch 4. Added QMF console example.

* Thu Dec 11 2008 Jonathan Robie <jonathan.robie@redhat.com> -  0.3.725668
  Revised request/response example in cpp examples.

* Fri Dec 5 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.3.723829
  Improved documentation for cluster installation.

* Mon Dec 1 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.3.722101
  Modified makefile to include qpid-boost directory. Updated with Lana's
  latest Install Guide and Console changes.

* Tue Nov 25 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.3.720596
  Changed docs on clustering, newest version of each doc.

* Fri Nov 21 2008 Jonathan Robie <jonathan.robie@redhat.com>
  Incorporated Lana's changes, now checked in to docs svn.

* Thu Nov 20 2008 Jonathan Robie <jonathan.robie@rehat.com>
  0.3.718966 - added new documentation, failover client
  examples.

* Thu Nov 13 2008 Justin Ross <jross@redhat.com> - 0.3.713333-2
- Fixed the doc dir name

* Wed Nov 12 2008 Justin Ross <jross@redhat.com> - 0.3.713333-1
- Rebased to svn rev 713333

* Thu Oct 30 2008 Nuno Santos <nsantos@redhat.com> - 0.2.709187-1
- Rebased to svn rev 709187

* Tue Oct 28 2008 Nuno Santos <nsantos@redhat.com> - 0.2.708576-1
- Rebased to svn rev 708576

* Mon Sep 8 2008 Justin Ross <jross@redhat.com> - 0.2.687156-3
- Change to revision 687156 of the qpid.0-10 branch

* Fri Sep 5 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.2.692401
- Hyphens problem fixed in docs.

* Thu Sep 4 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.2.692181
- For pre-testing by QA, bad docs.

* Wed Jun 11 2008 Justin Ross <jross@redhat.com> - 0.2.666723-1
- Updated to source revision 666723

* Fri May 16 2008 Nuno Santos <nsantos@redhat.com> - 0.2.656926-2
- Fix installation path

* Mon May 12 2008 Nuno Santos <nsantos@redhat.com> - 0.2-17
- Update for Beta 4

* Wed Feb 13 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-16
- Update for Beta 3

* Wed Feb 13 2008 Nuno Santos <nsantos@redhat.com> - 0.2-15
- Removed undocumented Java amqpexamples, spurious verify files

* Thu Feb 07 2008 Nuno Santos <nsantos@redhat.com> - 0.2-14
- Fixed path of installation (see 0.2-11, 0.2-8)
- Removed outdated (0.8) Java examples

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.2-13
- Updated version of the Installation Guide and Tutorial

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.2-12
- Updated version of the Installation Guide and Tutorial

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.2-11
- revert path of installation, see 0.2-8, to match current documentation
(will have to be reverted back after docs are fixed)

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.2-9
- Updated version of the Installation Guide and Tutorial

* Tue Jan 22 2008 Nuno Santos <nsantos@redhat.com> - 0.2-8
- Fixed path of installation

* Fri Dec 21 2007 Nuno Santos <nsantos@redhat.com> - 0.2-7
- Update source code examples

* Tue Dec 18 2007 Nuno Santos <nsantos@redhat.com> - 0.2-6
- Update Installation Guide and Tutorial

* Fri Nov 30 2007 Nuno Santos <nsantos@redhat.com> - 0.2-1
- Include Installation Guide, Tutorial, and new examples

* Thu Sep 13 2007 Nuno Santos <nsantos@redhat.com> - 0.1-1
- Initial build
